AuthScope (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.auth.AuthScope class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.auth
Class AuthScope

    java.lang.Object
      org.apache.commons.httpclient.auth.AuthScope

Direct Known Subclasses:
  HttpAuthRealm

    public class AuthScope

extends Object

The class represents an authentication scope consisting of a host name, a port number, a realm name and an authentication scheme name which `Credentials` apply to.

Since:
  3.0
Author:
  Oleg Kalnichevski, Adrian Sutton

Field Summary
`static AuthScope` | `ANY` Default scope matching any host, port, realm and authentication scheme.
`static String` | `ANY_HOST` The `null` value represents any host.
`static int` | `ANY_PORT` The `-1` value represents any port.
`static String` | `ANY_REALM` The `null` value represents any realm.
`static String` | `ANY_SCHEME` The `null` value represents any authentication scheme.

Constructor Summary
`AuthScope(AuthScope authscope)` Creates a copy of the given credentials scope.
`AuthScope(String host, int port)` Creates a new credentials scope for the given `host`, `port`, any realm name, and any authentication scheme.
`AuthScope(String host, int port, String realm)` Creates a new credentials scope for the given `host`, `port`, `realm`, and any authentication scheme.
`AuthScope(String host, int port, String realm, String scheme)` Creates a new credentials scope for the given `host`, `port`, `realm`, and `authentication scheme`.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getHost()`
`int` | `getPort()`
`String` | `getRealm()`
`String` | `getScheme()`
`int` | `hashCode()`
`int` | `match(AuthScope that)` Tests if the authentication scopes match.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY_HOST

    public static final String ANY_HOST

  The `null` value represents any host. In the future versions of HttpClient the use of this parameter will be discontinued.

### ANY_PORT

    public static final int ANY_PORT

  The `-1` value represents any port.

  See Also:
    Constant Field Values

### ANY_REALM

    public static final String ANY_REALM

  The `null` value represents any realm.

### ANY_SCHEME

    public static final String ANY_SCHEME

  The `null` value represents any authentication scheme.

### ANY

    public static final AuthScope ANY

  Default scope matching any host, port, realm and authentication scheme. In the future versions of HttpClient the use of this parameter will be discontinued.

Constructor Detail

### AuthScope

    public AuthScope(String host,
                     int port,
                     String realm,
                     String scheme)

  Creates a new credentials scope for the given `host`, `port`, `realm`, and `authentication scheme`.

  Parameters:
    `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
    `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
    `realm` - the realm the credentials apply to. May be set to `null` if credenticals are applicable to any realm.
    `scheme` - the authentication scheme the credentials apply to. May be set to `null` if credenticals are applicable to any authentication scheme.
  Since:
    3.0

### AuthScope

    public AuthScope(String host,
                     int port,
                     String realm)

  Creates a new credentials scope for the given `host`, `port`, `realm`, and any authentication scheme.

  Parameters:
    `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
    `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
    `realm` - the realm the credentials apply to. May be set to `null` if credenticals are applicable to any realm.
  Since:
    3.0

### AuthScope

    public AuthScope(String host,
                     int port)

  Creates a new credentials scope for the given `host`, `port`, any realm name, and any authentication scheme.

  Parameters:
    `host` - the host the credentials apply to. May be set to `null` if credenticals are applicable to any host.
    `port` - the port the credentials apply to. May be set to negative value if credenticals are applicable to any port.
  Since:
    3.0

### AuthScope

    public AuthScope(AuthScope authscope)

  Creates a copy of the given credentials scope.

  Since:
    3.0

Method Detail

### getHost

    public String getHost()

  Returns:
    the host
  Since:
    3.0

### getPort

    public int getPort()

  Returns:
    the port
  Since:
    3.0

### getRealm

    public String getRealm()

  Returns:
    the realm name
  Since:
    3.0

### getScheme

    public String getScheme()

  Returns:
    the scheme type
  Since:
    3.0

### match

    public int match(AuthScope that)

  Tests if the authentication scopes match.

  Returns:
    the match factor. Negative value signifies no match. Non-negative signifies a match. The greater the returned value the closer the match.
  Since:
    3.0

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.